Mercury API
MakeBitMask Method (offset, length)
Namespaces ► ThingMagic ► ByteConv ► MakeBitMask(Int32, Int32)
Create bitmask with specified position and size; e.g., MakeBitMask(3, 2) returns 0x18
Declaration Syntax

C# | Visual Basic | Visual C++

    public static ulong MakeBitMask(
    	int offset,
    	int length
    )

    Public Shared Function MakeBitMask ( _
    	offset As Integer, _
    	length As Integer _
    ) As ULong

    public:
    static unsigned long long MakeBitMask(
    	int offset,
    	int length
    )

Parameters

offset (Int32)
  Offset of least-significant bit in mask

length (Int32)
  Number of bits in mask

Return Value
Bitmask with 1's in specified positions

Assembly: MercuryAPI (Module: MercuryAPI) Version: 1.29.4.34 (1.29.4.34)